<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<!--	<parent>-->
	<!--		<artifactId>maven-parent</artifactId>-->
	<!--		<groupId>org.gcube.tools</groupId>-->
	<!--		<version>1.2.0</version>-->
	<!--	</parent>-->

	<groupId>org.gcube.iam</groupId>
	<artifactId>keycloak-d4science-spi-parent</artifactId>
	<version>2.2.0-SNAPSHOT</version>
	<packaging>pom</packaging>

	<properties>
		<java.version>17</java.version>
		<maven.compiler.source>${java.version}</maven.compiler.source>
		<maven.compiler.target>${java.version}</maven.compiler.target>
		<json-simple.version>1.1.1</json-simple.version>
		<dns-java.version>3.2.2</dns-java.version>
		<minio.version>8.5.6</minio.version>
		<okhttp3.version>4.11.0</okhttp3.version>
		<okio.version>3.2.0</okio.version>
	</properties>

	<modules>
		<module>avatar-storage</module>
		<module>avatar-realm-resource</module>
		<module>avatar-importer</module>
		<module>delete-account</module>
		<module>event-listener-provider</module>
		<module>identity-provider-mapper</module>
		<module>keycloak-d4science-script</module>
		<module>keycloak-d4science-theme</module>
		<module>ldap-storage-mapper</module>
		<module>protocol-mapper</module>
		<!--		<module>keycloak-d4science-bundle</module>-->
	</modules>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.keycloak</groupId>
				<artifactId>keycloak-parent</artifactId>
				<version>22.0.4</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<scm>
		<connection>
			scm:git:https://code-repo.d4science.org/gCubeSystem/${project.artifactId}.git</connection>
		<developerConnection>
			scm:git:https://code-repo.d4science.org/gCubeSystem/${project.artifactId}.git</developerConnection>
		<url>https://code-repo.d4science.org/gCubeSystem/${project.artifactId}</url>
	</scm>

	<dependencies>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.keycloak</groupId>
			<artifactId>keycloak-core</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.keycloak</groupId>
			<artifactId>keycloak-server-spi</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.keycloak</groupId>
			<artifactId>keycloak-server-spi-private</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.keycloak</groupId>
			<artifactId>keycloak-services</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.logging</groupId>
			<artifactId>jboss-logging</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>${json-simple.version}</version>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>io.minio</groupId>
			<artifactId>minio</artifactId>
			<version>${minio.version}</version>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>com.squareup.okhttp3</groupId>
			<artifactId>okhttp</artifactId>
			<version>${okhttp3.version}</version>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>com.squareup.okio</groupId>
			<artifactId>okio</artifactId>
			<version>${okio.version}</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<scope>test</scope>
			<version>2.0.6</version>
		</dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<!--			<plugin>-->
			<!--				<groupId>org.apache.maven.plugins</groupId>-->
			<!--				<artifactId>maven-compiler-plugin</artifactId>-->
			<!--				<configuration>-->
			<!--					<source>${maven.compiler.source}</source>-->
			<!--					<target>${maven.compiler.target}</target>-->
			<!--				</configuration>-->
			<!--			</plugin>-->
			<!--			<plugin>-->
			<!--				<groupId>org.wildfly.plugins</groupId>-->
			<!--				<artifactId>wildfly-maven-plugin</artifactId>-->
			<!--				 <version>${wildfly.plugin.version}</version> -->
			<!--				<version>2.0.0.Final</version>-->
			<!--				<configuration>-->
			<!--					<skip>true</skip>-->
			<!--				</configuration>-->
			<!--			</plugin>-->
		</plugins>
	</build>
</project>